import { Component } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent,IonButton } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { Router } from '@angular/router'; 

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: true,
  imports: [IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent,IonButton],
})
export class Tab1Page {
 
    constructor(private router: Router) {}

    // 定义获取种植方案的方法
    getPlantingPlan() {
      this.router.navigate(['/tabs/inquiry']);
      // 这里可以调用API或服务来获取种植方案
    
    }
  goToPage2(){
    this.router.navigate(['/tabs/picture'])
  }
  
 
}
